/*  ==========================================================================
  General styles
  ========================================================================== */

/* Font sizes used

Base font size: 1rem = 18px

0.702rem  13px
0.79rem   14px
0.889rem  16px
1.125rem  20px
1.266rem  23px
1.424rem  26px
1.602rem  29px
1.802rem  32px
2.887rem  52px

http://modularscale.com/
8:9 major second
*/

html {
    height: 100%;
    max-height: 100%;
    font-size: 112.5%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
    -webkit-font-feature-settings: 'kern' 1;
    -moz-font-feature-settings: 'kern' 1;
    -ms-font-feature-settings: 'kern' 1;
    -o-font-feature-settings: 'kern' 1;
    font-feature-settings: 'kern' 1;
    height: 100%;
    max-height: 100%;
    width: 80%;
    max-width: 800px;
    margin: 0 auto;
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-size: 1rem;
    line-height: 1.7;
    color: #3A4145;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Bree Serif", serif;
  font-weight: 500;
  margin-bottom: 0;
}

h1 {
  font-size: 1.802rem;
}

h2 {
  font-size: 2.2rem;
}

h3 {
  font-size: 1.55rem;
}

h4 {
  font-size: 1.266rem;
}

h5 {
  font-size: 1.125rem;
}

h6 {
  font-size: 1rem;
}

p {
  margin-top: 0;
}

figcaption {
  font-family: "Reenie Beanie", cursive;
  text-align: right;
  font-size: 1.4rem;
}

code, tt, pre {
    padding: 1px 3px;
    font-family: Inconsolata, monospace, sans-serif;
    white-space: pre-wrap;
    border: none;
    background: none;
}

pre {
  padding: 10px;
  line-height: 1.3em;
}

code, tt {
  font-weight: 500;
}

pre code {
  font-size: 1rem;
  font-weight: normal;
}

blockquote {
  margin: 0 2em;
  color: #9EABB3;
}

blockquote p {
    margin: 0.8em 0;
    font-style: italic;
}

blockquote cite {
  font-style: normal;
  font-size: 0.889rem;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: #9EABB3 1px solid;
}

details p {
  padding-top: 10px;
  padding-left: 20px;
}

details[open] summary {
  text-decoration: underline;
  text-decoration-style: dotted;
}

summary {
  display: list-item;
}

.avatar {
  height: 80px;
  float: right;
  border-radius: 100%;
}

/* Links */
.post a {
    color: #009999;
    text-decoration: none;
}

.post a:hover {
    text-decoration: underline;
}

.post a:visited {
    color: #9EABB3;
    text-decoration: none;
}

a.read-more, a.read-more:hover, a.read-more:visited {
  display: block;
  text-align: right;
  color: #009999;
  font-weight: 500;
  text-decoration: none;

}

h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
  color: #3A4145;
  text-decoration: none;
}

.post-title a {
  color: #3A4145 !important;
  text-decoration: none !important;
}

/* Tables and dictionaries (straight up ripped out of the Casper stylesheet with minor modifications) */

table {
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 1.7em 0;
    width: 100%;
    max-width: 100%;
    background-color: transparent;
}

th, td {
    padding: 8px;
    line-height: 20px;
    text-align: left;
    vertical-align: top;
    border-top: #EFEFEF 1px solid;
}

td h3, td h4, td h5, td h6 {
  margin: 0 0 0.5rem 0;
}

table caption + thead tr:first-child th,
table caption + thead tr:first-child td,
table colgroup + thead tr:first-child th,
table colgroup + thead tr:first-child td,
table thead:first-child tr:first-child th,
table thead:first-child tr:first-child td {
    border-top: 0;
}

table tbody + tbody { border-top: #EFEFEF 2px solid; }

table table table { background-color: #FFF; }

th {
  color: #000;
    background-color: #F6F6F6;
}

dl dt {
    float: left;
    width: 180px;
    overflow: hidden;
    clear: left;
    text-align: right;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-weight: 700;
    margin-bottom: 1em;
}

dl dd {
    margin-left: 200px;
    margin-bottom: 1em
}

/*  ==========================================================================
  Blog header
  ========================================================================== */

.main-header {
    position: relative;
    width: 100%;
    padding: 0.7rem 0;
    margin-bottom: 4rem;
    text-align: center;
    vertical-align: middle;
    overflow: hidden;
    display: table;
    border-bottom: 1px solid #9eabb352;
}

.main-header-content {
  height: auto;
}

.blog-title {
  margin: 0;
  padding: 0;
  font-family: "Lato", sans-serif;
  font-weight: 800;
  /*font-size: 2.887rem;*/
  font-size: 3.2rem;
  vertical-align: middle;
  line-height: 1;
  text-align: left;
}

.blog-title a {
  font-color: inherit;
}

.blog-description {
  margin: 0;
  font-size: 2rem;
  font-family: "Reenie Beanie", cursive;
  letter-spacing: 0;
  color: hsl(203, 12%, 55%);
  font-weight: 300;
  text-align: left;
}

/*  ==========================================================================
  Navigation
  ========================================================================== */

.nav {
  margin-top: 1rem;
  text-align: right;
  color: hsl(203, 12%, 55%);
}

.nav {
  font-size: 1.1rem;
}

.nav a {
  margin: 0 1px;
  color: #9EABB3;
  text-decoration: none;
  font-weight: 600;
}

.nav a:hover {
  color: #009999;
}

a.nav-current {
  color: #cb4b16;
}

a.nav-home, a.nav-blog {
  color: #9EABB3;
}

/*  ==========================================================================
  Site footer
  ========================================================================== */

.site-footer {
    position: relative;
    display: table;
    width: 100%;
    margin-top: 3rem;
    padding-bottom: 1rem;
    text-align: center;
    overflow: hidden;
    font-size: .79rem;
}

.site-footer a {
  color: #FC7E0F;
  text-decoration: none;
}

.site-footer a:hover {
  color: #9EABB3;
}


/* RSS - enable to replace the simple RSS icon with a round button */

/*
.site-footer .rss {
  margin: 1rem auto;
  width: 1.7rem;
  height: 1.6rem;
}

.site-footer .rss a {
  display: block;
  height: 100%;
  width: 100%;
  margin-left: -.2rem;
  padding: .35rem .1rem 0.05rem .2rem;
  vertical-align: middle;
  border: 1px #FC7E0F solid;
  border-radius: 1.2rem;
}

.site-footer .rss a:hover {
  color: #ffffff;
  background: #FC7E0F;
}
*/

/*  ==========================================================================
  Posts
  ========================================================================== */

.post {
    position: relative;
    margin: 2rem auto;
    padding-bottom: 4rem;
    word-break: break-word;
    hyphens: auto;
}

.post h3 {
  margin-bottom: 1rem;
}

.post h4 {
  margin-bottom: 1rem;
}

.post-header {
  margin-bottom: 0.5rem;
}

.post-title {
  line-height: 1;
  margin-top: 1.6rem;
  margin-bottom: 0;
}

.post-title.single {
  font-size: 3rem;
  margin-bottom: 1rem;
}

.post-tag, .post-tag a {
  color: #009999;
  text-decoration: none;
}

.post-meta {
  font-size: 1rem;
}

.post-date {
  font-size: 1rem;
  line-height: 2.3;
  color: hsl(203, 12%, 55%);
}

.post-content {
  margin-top: 2rem;
  font-size: 1.2rem;
}

.post-footer {
  margin-top: 2rem;
}

.post-footer .tags a {
  color: #9EABB3;
  text-decoration: none;
}

.post-footer .tags a:hover {
  color: #FC7E0F;
}

.post-footer h4 {
  margin: 2rem 0 0;
}

.post-footer .share {
    margin: 0 auto;
}

.post-footer .share a {
    font-size: 1.8rem;
    display: inline-block;
    margin: 1rem 1.6rem 1.6rem 0;
    color: #BBC7CC;
    text-decoration: none;
}

.post-footer .share a:hover {
    color: #50585D;
}

.post img {
  display: block;
  max-width: 100%;  /* Keep image contained in width of post */
  margin: 0 auto 0.5rem;
}

.footnotes-sep {
  display: none;
}

/* Koenig image styles */

.kg-image-card {
  margin-bottom: 0.5rem;
}

.kg-image-card img {
  margin-bottom: 0;
}

.post .kg-image-wide {
  max-width: 1050px;
  margin: 0 -200px;
}

@media (max-width: 1100px) {
  .post .kg-image-wide {
    max-width: 140%;
    margin: 0 -20%;
  }

  .blog-description: {
    font-size: 1.5rem;
  }

  .avatar {
    height: 38px;
  }
}

@media (max-width: 950px) {
  .post .kg-image-wide {
    max-width: 120%;    /* Start calculating as percentage of viewport? */
    margin: 0 -10%;
  }
}

.post .kg-image-full {
  max-width: 100vw;
  position: relative;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
}

.kg-image-card figcaption {
  font-size: 0.79rem;
  text-align: center;
}


/* YouTube embed wrapper to scale to full-width */

.yt-wrapper {
  position: relative;
  width: 100%;
  margin: 0;
}

.yt-wrapper:before{
  content: "";
  display: block;
  padding-top: 56.25%;  /* 16:9 aspect ratio */
}

.yt-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/*  ==========================================================================
  Tags
  ========================================================================== */

.tag-title {
    font-family: "Lato", sans-serif;
    font-size: 1.802rem;
  font-weight: bold;
  margin-top: 0;
}

.tag-image {
  max-width: 100%
}

.tag-description {
  color: #9EABB3;
}

/* ==========================================================================
   Pagination
   ========================================================================== */

/* The main wrapper for pagination links */
.pagination {
    position: relative;
    margin: 2rem auto;
    font-size: .79rem;
    color: #9EABB3;
    text-align: center;
}

.pagination a {
    color: #9EABB3;
}

/* Push the previous/next links out to the left/right */
.older-posts,
.newer-posts {
    position: absolute;
    display: inline-block;
    text-decoration: none;
}

.older-posts {
    right: 0;
}

.page-number {
    display: inline-block;
    padding: 2px 0;
    min-width: 100px;
}

.newer-posts {
    left: 0;
}

.older-posts:hover,
.newer-posts:hover {
    color: #FC7E0F;
}

.extra-pagination {
    display: none;
}

.extra-pagination .pagination {
    width: auto;
}

/* On page2+ show extra pagination controls at the top of post list */
.paged .extra-pagination {
    display: block;
}

/* ==========================================================================
   12. Media Queries - Smaller than 500px
   ========================================================================== */

@media only screen and (max-width: 500px) {
  html {
    font-size: 100%;
  }

   .blog-title {
    font-size: 2.281rem;
  }

  .blog-description {
     font-size: 1.5rem;
  }

  .post {
    padding-bottom: 1rem;
  }
}

.highlight {
  border-radius: 25px;
}

.highlight pre {
  background-color: inherit;
  border-radius: 6px;
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.3);
}

.polaroid {
  position: relative;
  /*transform: rotate(10deg);*/
}

.polaroid img {
  border: 10px solid #fff;
  border-bottom: 35px solid #fff;
  -webkit-box-shadow: 0px 3px 7px rgba(0, 0, 0, .3);
     -moz-box-shadow: 0px 3px 7px rgba(0, 0, 0, .3);
          box-shadow: 0px 3px 7px rgba(0, 0, 0, .3);
}

.post .polaroid figcaption {
  position: absolute;
  text-align: center;
  width: 100%;
  bottom: 0px;
  /*font: 400 12px/1 'Merriweather', serif;*/
  color: #666;
  margin-bottom: 17px;
}

.hidden {
  text-indent: -9999px;
  visibility: hidden;
  display: none;
}

section.share {
  text-align: right;
}
/*
 * Solarized Dark theme
 */
.highlight { background-color: #002b36; color: #93a1a1 }
.highlight .c { color: #586e75 } /* Comment */
.highlight .err { color: #93a1a1 } /* Error */
.highlight .g { color: #93a1a1 } /* Generic */
.highlight .k { color: #859900 } /* Keyword */
.highlight .l { color: #93a1a1 } /* Literal */
.highlight .n { color: #93a1a1 } /* Name */
.highlight .o { color: #859900 } /* Operator */
.highlight .x { color: #cb4b16 } /* Other */
.highlight .p { color: #93a1a1 } /* Punctuation */
.highlight .cm { color: #586e75 } /* Comment.Multiline */
.highlight .cp { color: #859900 } /* Comment.Preproc */
.highlight .c1 { color: #586e75 } /* Comment.Single */
.highlight .cs { color: #859900 } /* Comment.Special */
.highlight .gd { color: #2aa198 } /* Generic.Deleted */
.highlight .ge { color: #93a1a1; font-style: italic } /* Generic.Emph */
.highlight .gr { color: #dc322f } /* Generic.Error */
.highlight .gh { color: #cb4b16 } /* Generic.Heading */
.highlight .gi { color: #859900 } /* Generic.Inserted */
.highlight .go { color: #93a1a1 } /* Generic.Output */
.highlight .gp { color: #93a1a1 } /* Generic.Prompt */
.highlight .gs { color: #93a1a1; font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #cb4b16 } /* Generic.Subheading */
.highlight .gt { color: #93a1a1 } /* Generic.Traceback */
.highlight .kc { color: #cb4b16 } /* Keyword.Constant */
.highlight .kd { color: #268bd2 } /* Keyword.Declaration */
.highlight .kn { color: #859900 } /* Keyword.Namespace */
.highlight .kp { color: #859900 } /* Keyword.Pseudo */
.highlight .kr { color: #268bd2 } /* Keyword.Reserved */
.highlight .kt { color: #dc322f } /* Keyword.Type */
.highlight .ld { color: #93a1a1 } /* Literal.Date */
.highlight .m { color: #2aa198 } /* Literal.Number */
.highlight .s { color: #2aa198 } /* Literal.String */
.highlight .na { color: #93a1a1 } /* Name.Attribute */
.highlight .nb { color: #B58900 } /* Name.Builtin */
.highlight .nc { color: #268bd2 } /* Name.Class */
.highlight .no { color: #cb4b16 } /* Name.Constant */
.highlight .nd { color: #268bd2 } /* Name.Decorator */
.highlight .ni { color: #cb4b16 } /* Name.Entity */
.highlight .ne { color: #cb4b16 } /* Name.Exception */
.highlight .nf { color: #268bd2 } /* Name.Function */
.highlight .nl { color: #93a1a1 } /* Name.Label */
.highlight .nn { color: #93a1a1 } /* Name.Namespace */
.highlight .nx { color: #93a1a1 } /* Name.Other */
.highlight .py { color: #93a1a1 } /* Name.Property */
.highlight .nt { color: #268bd2 } /* Name.Tag */
.highlight .nv { color: #268bd2 } /* Name.Variable */
.highlight .ow { color: #859900 } /* Operator.Word */
.highlight .w { color: #93a1a1 } /* Text.Whitespace */
.highlight .mf { color: #2aa198 } /* Literal.Number.Float */
.highlight .mh { color: #2aa198 } /* Literal.Number.Hex */
.highlight .mi { color: #2aa198 } /* Literal.Number.Integer */
.highlight .mo { color: #2aa198 } /* Literal.Number.Oct */
.highlight .sb { color: #586e75 } /* Literal.String.Backtick */
.highlight .sc { color: #2aa198 } /* Literal.String.Char */
.highlight .sd { color: #93a1a1 } /* Literal.String.Doc */
.highlight .s2 { color: #2aa198 } /* Literal.String.Double */
.highlight .se { color: #cb4b16 } /* Literal.String.Escape */
.highlight .sh { color: #93a1a1 } /* Literal.String.Heredoc */
.highlight .si { color: #2aa198 } /* Literal.String.Interpol */
.highlight .sx { color: #2aa198 } /* Literal.String.Other */
.highlight .sr { color: #dc322f } /* Literal.String.Regex */
.highlight .s1 { color: #2aa198 } /* Literal.String.Single */
.highlight .ss { color: #2aa198 } /* Literal.String.Symbol */
.highlight .bp { color: #268bd2 } /* Name.Builtin.Pseudo */
.highlight .vc { color: #268bd2 } /* Name.Variable.Class */
.highlight .vg { color: #268bd2 } /* Name.Variable.Global */
.highlight .vi { color: #268bd2 } /* Name.Variable.Instance */
.highlight .il { color: #2aa198 } /* Literal.Number.Integer.Long */
